Jump to content

  •  

Staff applications open!

We are looking for dedicated members to join the Community Team to help enforce the community rules and make IV a better place for everyone.
Do you think you have what it takes to join? Apply here: http://invision-viru...f-applications/
IV Management

- - - - -

Upgrade Error


  • This topic is locked This topic is locked
12 replies to this topic

#1 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 12 September 2019 - 04:48 AM

Describing the problem:
1. What problem are you having? 500 Error
2. What were you doing when the problem occurred? I was trying to upgrade from V4.2.2 to V4.4.4
3. Picture/Video of the problem: (an error code should be pasted here, please use "code" bbcode)
 An error occurred (500 Error)
We're sorry, but a temporary technical error has occurred which means we cannot display this site right now. 

You can try again by clicking the button below, or try again later. 

Try again
4. An error log should be pasted here via screenshot or in code for detailed preview
Versions: how to see it?
5. What version of IP.B are you using? V4.2.2
6. What PHP version are you running?
Required links: 7.1 as i remember
7. Who is your web hosting provider? BlueAngelHost
8. What is your board URL? (you can send it via PM if we ask you for it)
IP.B Package/Miscellaneous
9. Where did you download the IP.B installation package? (please provide a link) from here long time ago
10. What did you try to solve the problem? Nothing, i just took a backup incase this problem happens
11. What username and password can we use to see the problem.
Customization: You dont need user and pass as its a global error
12. Do you have any hooks/mods installed? No
13. Are you using a custom or default skin? Custom but its working fine and on members theme only to ACP

#2 neptunus

neptunus

    Invision-Virus Nerd

  • Member
  • PipPipPipPipPip
  • 474 posts

Posted 12 September 2019 - 06:37 AM

  • It's true, You must have minimum php 7.1, recommended 7.2.
  • Error 500 means that server doesn't have internet connection
  • If You're going to update so old version, use full link to start, ie something like this
  • https://yourdomain.xxx/admin/upgrade/index.php
  • NB! This error appears even if You'll upgrade from 4.3.6 to 4.4.0 or higher and using simple/automatic redirections.
  • So, try this and check one more thing, all files permissions must be 0644 and folders 0755.

Edited by neptunus, 12 September 2019 - 06:40 AM.


#3 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 12 September 2019 - 08:31 PM

1. I have 7.2
2. Yes, i know but the rest of the folders are working.
3. Tried and same error
4. I have 4.2.2
5. It's already 0644 and folders 0755
6. I tried to upload in binary mode and got the same error

#4 neptunus

neptunus

    Invision-Virus Nerd

  • Member
  • PipPipPipPipPip
  • 474 posts

Posted 13 September 2019 - 07:00 AM

Try to upgrade to 4.3.6, if it works and to 4.4.x don't work, then is everything clear. It is server problem and You can't never upgrade in this server up to 4.4.x. Or if then only after server owner makes minimum changes to upgrade.
I think, it is most likely the problem of server configuratin.

#5 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 13 September 2019 - 10:18 PM

Well, i upgraded to 4.3.6 but i had some board colours.
Now it appears in html
Posted Image

#6 neptunus

neptunus

    Invision-Virus Nerd

  • Member
  • PipPipPipPipPip
  • 474 posts

Posted 13 September 2019 - 10:32 PM

View PostYoussef., on 13 September 2019 - 10:18 PM, said:

Well, i upgraded to 4.3.6 but i had some board colours.
Now it appears in html
Posted Image

Unfortunately, I don't understand what you do or want.
I don't understand what colors you are talking about when it comes to updates and server issues. How do some colors relate to it? How it is possible that some kind of colors are related to server ERROR 500 or upgrade error?
That's the problem, simply cannot understand You what about You're talking at all.

#7 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 13 September 2019 - 10:42 PM

This board color was red and was "Ban Appeals", now it gives me the full code.
Posted Image
I hope i find an old screenshot

#8 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 13 September 2019 - 10:50 PM

Finally found it!
It was like that.
Posted Image

#9 Robinson

Robinson

    Community Team

  • Community Team Leadership
  • 312 posts
  • LocationIV Strip Club

Posted 14 September 2019 - 12:20 AM

I'm not sure this is still an upgrade Error anymore, if its a problem with your theme, it's a theme error.

#10 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 14 September 2019 - 01:02 AM

I tried to use more than a theme and even the theme that was showing the red color and still nothing

#11 Robinson

Robinson

    Community Team

  • Community Team Leadership
  • 312 posts
  • LocationIV Strip Club

Posted 14 September 2019 - 05:35 AM

If the theme is made for the old version you were using, 4.4 uses slightly different code for theme, most 4.4 themes wont work on older version of IPS, and vise versa.

#12 Youssef.

Youssef.

    Advanced Member

  • Member
  • PipPipPip
  • 33 posts

Posted 14 September 2019 - 05:30 PM

Hmm, so can you help me at making it red again? :3

#13 Robinson

Robinson

    Community Team

  • Community Team Leadership
  • 312 posts
  • LocationIV Strip Club

Posted 14 September 2019 - 08:37 PM

You will need to convert it over yourself, or get a new theme.

As this is no longer an Upgrade Error, and rather a theme error, this thread will be marked as resolved.

If you wish for help with your THEME, post in the appropriate section.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users